> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Spaces 조회

> ID로 Space 세부 정보를 조회하거나 생성자를 기준으로 Spaces를 검색합니다

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Spaces 조회 endpoint를 사용하면 진행 중이거나 예약된 Spaces 정보를 조회할 수 있습니다. Space id로 Spaces를 조회하거나 특정 사용자가 생성한 Spaces를 찾을 수 있습니다.

<div id="overview">
  ## 개요
</div>

<CardGroup cols={2}>
  <Card title="ID로 조회" icon="microphone">
    특정 Space의 세부 정보를 조회합니다
  </Card>

  <Card title="여러 Space 조회" icon="microphone-lines">
    여러 Space를 한 번에 조회합니다
  </Card>

  <Card title="호스트로 조회" icon="user">
    호스트별로 Space를 찾습니다
  </Card>

  <Card title="구매자" icon="ticket">
    티켓을 구매한 사용자를 조회합니다
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## 엔드포인트
</div>

| Method | Endpoint                                                                 | Description                 |
| :----- | :----------------------------------------------------------------------- | :-------------------------- |
| GET    | [`/2/spaces/:id`](/ko/x-api/spaces/get-space-by-id)                      | ID로 Space 조회                |
| GET    | [`/2/spaces`](/ko/x-api/spaces/get-spaces-by-ids)                        | ID로 여러 개의 Space 조회          |
| GET    | [`/2/spaces/by/creator_ids`](/ko/x-api/spaces/get-spaces-by-creator-ids) | Space를 생성한 사용자 ID로 Space 조회 |
| GET    | [`/2/spaces/:id/buyers`](/ko/x-api/spaces/get-space-ticket-buyers)       | Space의 티켓 구매자 조회            |
| GET    | [`/2/spaces/:id/tweets`](/ko/x-api/spaces/get-space-posts)               | Space에서 공유된 포스트 조회          |

***

<div id="response-fields">
  ## 응답 필드
</div>

기본적으로 응답에는 `id`와 `state`가 포함됩니다. 추가 필드를 요청하려면 다음을 사용하세요:

| 필드                  | 설명                |
| :------------------ | :---------------- |
| `title`             | Space 제목          |
| `host_ids`          | 호스트 사용자 ID        |
| `speaker_ids`       | 스피커 사용자 ID        |
| `participant_count` | 참가자 수             |
| `scheduled_start`   | 예정된 시작 시각         |
| `started_at`        | 실제 시작 시각          |
| `ended_at`          | 종료 시각             |
| `is_ticketed`       | 티켓이 있는 Space인지 여부 |

<div id="space-states">
  ### Space 상태
</div>

| State       | Description |
| :---------- | :---------- |
| `live`      | 현재 진행 중     |
| `scheduled` | 향후 예정       |
| `ended`     | 종료됨         |

***

<div id="example-request">
  ## 요청 예시
</div>

```bash theme={null}
curl "https://api.x.com/2/spaces/1DXxyRYNejbKM?\
space.fields=title,host_ids,participant_count,scheduled_start,state" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

***

<div id="getting-started">
  ## 시작하기
</div>

<Note>
  **사전 준비 사항**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔의 [Project 및 App](/ko/resources/fundamentals/developer-apps)
  * App의 [키와 토큰](/ko/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="빠른 시작" icon="rocket" href="/ko/x-api/spaces/lookup/quickstart">
    첫 Spaces 조회 요청을 보내 보세요
  </Card>

  <Card title="Spaces 검색" icon="magnifying-glass" href="/ko/x-api/spaces/search/introduction">
    키워드로 Spaces를 찾으세요
  </Card>

  <Card title="API 참조 문서" icon="code" href="/ko/x-api/spaces/space-lookup-by-space-id">
    전체 엔드포인트 문서를 확인하세요
  </Card>

  <Card title="샘플 코드" icon="github" href="https://github.com/xdevplatform/Twitter-API-v2-sample-code">
    실행 가능한 코드 예제를 살펴보세요
  </Card>
</CardGroup>
